/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp;

import com.sencha.gxt.core.shared.FastMap;
import com.sencha.gxt.desktop.client.desktopapp.persistence.BackingStore;

public class MemoryBackingStore implements BackingStore {

  private FastMap<String> map = new FastMap<String>();

  @Override
  public void clear() {
    map.clear();
  }

  @Override
  public String getItem(String key) {
    return map.get(key);
  }

  @Override
  public void removeItem(String key) {
    map.remove(key);
  }

  @Override
  public void setItem(String key, String data) {
    map.put(key, data);
  }

}
