/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp.event;

import com.google.gwt.event.shared.GwtEvent;

public class LoginEvent extends GwtEvent<LoginHandler> {
  public static Type<LoginHandler> TYPE = new Type<LoginHandler>();
  private String userName;
  private boolean isNew;

  public LoginEvent(String userName, boolean isNew) {
    this.userName = userName;
    this.isNew = isNew;
  }

  @Override
  public Type<LoginHandler> getAssociatedType() {
    return TYPE;
  }

  public String getUserName() {
    return userName;
  }

  public boolean isNew() {
    return isNew;
  }

  @Override
  protected void dispatch(LoginHandler handler) {
    handler.onLogin(this);
  }
}