/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp.event;

import com.google.gwt.event.shared.GwtEvent;
import com.sencha.gxt.desktop.client.desktopapp.persistence.FileModel;

public class RemoveFileModelEvent extends GwtEvent<RemoveFileModelHandler> {
  public static Type<RemoveFileModelHandler> TYPE = new Type<RemoveFileModelHandler>();
  private FileModel fileModel;
  private boolean isMove;

  public RemoveFileModelEvent(FileModel fileModel, boolean isMove) {
    this.fileModel = fileModel;
    this.isMove = isMove;
  }

  @Override
  public Type<RemoveFileModelHandler> getAssociatedType() {
    return TYPE;
  }

  public FileModel getFileModel() {
    return fileModel;
  }

  public boolean isMove() {
    return isMove;
  }

  @Override
  protected void dispatch(RemoveFileModelHandler handler) {
    handler.onRemoveFileModel(this);
  }
}