/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp.event;

import com.google.gwt.event.shared.GwtEvent;
import com.sencha.gxt.desktop.client.desktopapp.Settings;

public class UpdateSettingsEvent extends GwtEvent<UpdateSettingsHandler> {
  public static Type<UpdateSettingsHandler> TYPE = new Type<UpdateSettingsHandler>();
  private Settings settings;
  private boolean isUpdate;

  public UpdateSettingsEvent(Settings settings, boolean isUpdate) {
    this.settings = settings;
    this.isUpdate = isUpdate;
  }

  @Override
  public Type<UpdateSettingsHandler> getAssociatedType() {
    return TYPE;
  }

  public Settings getSettings() {
    return settings;
  }

  public boolean isUpdate() {
    return isUpdate;
  }

  @Override
  protected void dispatch(UpdateSettingsHandler handler) {
    handler.onUpdateSettings(this);
  }

}