/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.theme.base.shortcut;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.sencha.gxt.desktop.client.ShortcutCell.ShortcutCellAppearance;
import com.sencha.gxt.theme.base.client.button.ButtonCellBaseAppearance;
import com.sencha.gxt.theme.base.client.frame.TableFrame.TableFrameResources;

public class ShortcutCellBaseAppearance<C> extends ButtonCellBaseAppearance<C> implements ShortcutCellAppearance<C> {

  public interface ShortcutCellBaseResources extends ButtonCellResources, ClientBundle {
    @Source({"com/sencha/gxt/theme/base/client/button/ButtonCell.css", "ShortcutCell.css"})
    @Override
    ButtonCellStyle style();
  }

  public interface ShortcutCellStyle extends ButtonCellStyle {
  }

  public ShortcutCellBaseAppearance() {
    super(GWT.<ButtonCellResources> create(ShortcutCellBaseResources.class),
        GWT.<TableFrameResources> create(ShortcutTableFrameResources.class));
  }

}
