/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.theme.base.startmenu;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;
import com.sencha.gxt.theme.blue.client.menu.BlueItemAppearance;

public class StartItemAppearance extends BlueItemAppearance {

  public interface StartItemResources extends BlueItemResources, ClientBundle {

    ImageResource itemOver();

    @Source({"com/sencha/gxt/theme/base/client/menu/Item.css", //
        "com/sencha/gxt/theme/blue/client/menu/BlueItem.css", //
        "StartItem.css"})
    StartItemStyle style();

  }

  public interface StartItemStyle extends BlueItemStyle {
  }

  public StartItemAppearance() {
    this(GWT.<StartItemResources> create(StartItemResources.class));
  }

  public StartItemAppearance(StartItemResources resources) {
    super(resources);
  }

}
