/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ImageResource;
import com.sencha.gxt.desktop.client.theme.base.startmenu.StartItemAppearance;
import com.sencha.gxt.desktop.client.theme.base.startmenu.StartToolMenuItemAppearance;
import com.sencha.gxt.widget.core.client.menu.MenuItem;

public class StartToolMenuItem extends MenuItem {

  public StartToolMenuItem() {
    this(new StartToolMenuItemAppearance());
  }

  public StartToolMenuItem(StartToolMenuItemAppearance startToolMenuItemAppearance) {
    super(startToolMenuItemAppearance, GWT.<ItemAppearance> create(StartItemAppearance.class));
  }

  public StartToolMenuItem(String text) {
    this();
    setText(text);
  }

  public StartToolMenuItem(String text, ImageResource icon) {
    this(text);
    setIcon(icon);
  }

  /**
   * Provides public access to deactivate method.
   */
  @Override
  public void deactivate() {
    super.deactivate();
  }
}