/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp;

import com.sencha.gxt.desktop.client.desktopapp.persistence.FileSystem;

public interface Presenter {

  void clearLocalStorage();

  void createNewUser(String userName);

  String getCurrentUser();

  FileSystem getFileSystem();

  Settings getSettings(String userName);

  boolean isExistingUser(String userName);

  boolean isLocalStorageSupported();

  boolean isLoggedIn();

  void logout();

  void login(String userName);

  void setSettings(String userName, Settings settings);

}
