/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp.filemanager;

import com.google.gwt.dom.client.NativeEvent;
import com.sencha.gxt.desktop.client.desktopapp.persistence.FileModel;
import com.sencha.gxt.widget.core.client.grid.Grid;
import com.sencha.gxt.widget.core.client.grid.Grid.GridCell;
import com.sencha.gxt.widget.core.client.grid.editing.GridInlineEditing;

public class FileManagerGridInlineEditing extends GridInlineEditing<FileModel> {

  private boolean isEnter;

  FileManagerGridInlineEditing(Grid<FileModel> editableGrid) {
    super(editableGrid);
  }

  public boolean isEnter() {
    return isEnter;
  }

  @Override
  public void startEditing(GridCell cell) {
    isEnter = false;
    super.startEditing(cell);
  }

  @Override
  protected void onEnter(NativeEvent evt) {
    isEnter = true;
    super.onEnter(evt);
  }
}