/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp.filemanager;


import com.sencha.gxt.desktop.client.desktopapp.persistence.FileModel;
import com.sencha.gxt.desktop.client.desktopapp.persistence.FileModel.FileType;

public interface Presenter {

  public void bind();

  public boolean isEnableCreate();

  public boolean isEnableDelete();

  public boolean isEnableEditName();

  public boolean isEnableOpen();

  public void onCollapse();

  public void onCreate(FileType fileType);

  public void onDelete();

  public void onEditFileNameComplete(boolean isSaved);

  public void onEditName();

  public void onExpand();

  public void onOpen();

  public void onSelect(FileModel fileModel);

  public void unbind();

}