/**
 * Ext GWT 3.0.0-beta3 - Ext for GWT
 * Copyright(c) 2007-2011, Sencha, Inc.
 * licensing@sencha.com
 *
 * http://sencha.com/license
 */
package com.sencha.gxt.desktop.client.desktopapp.persistence;

import java.util.List;

import com.sencha.gxt.data.shared.event.TreeStoreRemoveEvent;

public class PersistentTreeStoreRemoveEvent<M> extends TreeStoreRemoveEvent<M> implements HasMoveSupport {

  private boolean isMove;

  public PersistentTreeStoreRemoveEvent(int visibleIndex, M model, M parent, List<M> children, boolean isMove) {
    super(visibleIndex, model, parent, children);
    this.isMove = isMove;
  }

  @Override
  public boolean isMove() {
    return isMove;
  }

}
